                         DATA BASE MAINTENANCE MENU
                                  (dbmenu)

     This menu lists programs used to maintain a UNITRIEVE data base.  The
basic routines available cover: maintaining the data base access methods
(primary keys, secondary indexes, and explicit relationships); establishing
a secure environment; and obtaining statistics on data base utilization.

Listed routines include: (section numbers refer to the UNIFY Reference
Manual)

1. Field Security Maintenance - allows for separate read and write passwords
   for each data base field (section 3.3.1).

2. Process Field Passwords - processes the password specifications to
   produce the binary password file (section 3.3.2).







3. Index Maintenance - used for adding and dropping field indexes (section
   3.2.3).

4. Volume Maintenance - used to describe the disk devices which will be used
   for the data base. The results are used by the Create Data Base program
   (section 3.2.4).

5. Hash Table Maintenance - rebuilds the hash table from scratch (section
   3.5.3).

6. Explicit Relationship Maintenance - rebuilds the explicit relationships
   in the data base from scratch (section 3.5.4).

7. Data Base Statistics - prints a set of statistics about various data base
   parameters (section 3.4.1).

8. Hash Table Statistics - prints a set of statistics about various hash
   table parameters (section 3.4.2).


