                             LISTING PROCESSOR
                                   (lst)

     The UNIFY Listing Processor, LST, is a selection and formatting
language for producing sorted listings containing totals and subtotals from
a UNIFY data base.  LST is intended to provide a simple alternative to SQL
and RPT, when the full power of these tools is not required. LST has two
major components:

1. The "selection processor", that lets you  choose records from a file
   based on selection criteria,

2. The "listing processor", that lets you sort, format and total the
   selected records.

SELECTION PROCESSOR

     The selection processor can either be run from the menu handler, the
shell, or a shell script. When run from the menu handler or an interactive
shell, it issues the "*" prompt and continues to accept commands until the
"end" command is entered.

LISTING PROCESSOR

     The simplest way to use the listing processor is with the "report"
command from the selection processor.  The listing processor will issue the
"-" prompt and accept commands interactively.  A final "end command will
terminate the program.

     The second way to use the listing processor is as a "canned" report
registered with an ENTER screen. To do this, the listing commands are placed
in a file and the file name is then registered with the ENTER screen using
ENTER Screen Maintenance  (see section 5.1 of the UNIFY Reference Manual).
In addition, the listing processor can be run directly from the shell or a
shell script.

To execute a query in a non-interactive manner the following syntax is used:

      LST {query-script}

When run in this manner the selection processor executes the command in the
query-script until end of file is reached.

Also see section 8 in the UNIFY Reference Manual.


















